API
Topics

Extending responses

Our API endpoints and webhooks allow developers to extend responses with additional data in order to optimize calls, allowing for simpler and more efficient implementations.

The API supports including additional objects when using a GET request to retrieve a list or a GET request to retrieve a record by a specific id. This is achieved by using an include query parameter in the request URL. The include value contains the object or objects you want to include in the response of your request. On routes where multiple includes are available, you are able to pass multiple values separated by a comma (include=customer,metafields). The below table defines available include values for commonly used resources of the API.

Webhooks support included_objects on the topics listed below. Webhook included_objects accepts an array of supported values ("included_objects": [ "customer", "metafields"]). Specifying included_objects will return an enriched payload, containing the original resource and the associated included objects.

When including charge_activities in API calls or webhooks, note that only the last 90 days of activities will be included in the response.

Resource Endpoints Webhook topics Supported include values Supported included_objects values
Addresses GET /addresses
GET /addresses/{id}
address/created
address/updated
charge_activities
customer
discount
payment_methods
subscriptions
customer
payment_methods
Charges GET /charges
GET /charges/{id}
charge/created
charge/failed
charge/max_retries_reached
charge/paid
charge/refunded
charge/uncaptured
charge/upcoming
charge/updated
charge/deleted
charge_activities (beta)
customer
metafields
payment_methods
customer
metafields
payment_methods
Customers GET /customers
GET /customers/{id}
customer/activated
customer/created
customer/deactivated
customer/payment_method_updated
customer/updated
customer/deleted
addresses
metafields
payment_methods
subscriptions
referral_info
addresses
metafields
payment_methods
Orders GET /orders
GET /orders/{id}
order/cancelled
order/created
order/deleted
order/processed
order/payment_captured
order/upcoming
order/updated
order/success
customer
metafields
subscriptions
customer
metafields
Payment Methods GET /payment_methods
GET /payment_methods/{id}
addresses addresses
Subscriptions GET /subscriptions
GET /subscriptions/{id}
subscription/activated
subscription/cancelled
subscription/created
subscription/deleted
subscription/skipped
subscription/updated
subscription/unskipped
subscription/paused
address
charge_activities
customer
metafields
bundle_product
bundle_selections
customer
metafields